{"swagger":"2.0","info":{"title":"Bank Facilities API","description":"Banking Aggregator API for FintechBlocks platform microservices. Provodes data about bank branches and ATMs.\n","version":"1.0.0"},"host":"api.sandbox1.mbhbank.hu","basePath":"/bank-facilities/v2","schemes":["https"],"consumes":["application/json"],"produces":["application/json"],"securityDefinitions":{"AdminSecurity":{"type":"apiKey","in":"header","name":"X-ApiKey"}},"security":[{"AdminSecurity":[]}],"paths":{"/facilities/branches":{"get":{"operationId":"getAllBranches","summary":"Get list of branches","description":"Returns information about branches of the bank.\n","tags":["Facilities"],"responses":{"200":{"description":"List of branches","schema":{"type":"array","items":{"$ref":"#/definitions/Branch"}}},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/Error"}}},"parameters":[{"in":"header","name":"X-ApiKey","required":false,"type":"string","description":"API Key to authorize with API Gateway"}]}},"/facilities/atms":{"get":{"operationId":"getAllAtms","summary":"Get list of ATMs","description":"Returns information about ATMs of of the bank.\n","tags":["Facilities"],"responses":{"200":{"description":"List of ATMs","schema":{"type":"array","items":{"$ref":"#/definitions/ATM"}}},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/Error"}}},"parameters":[{"in":"header","name":"X-ApiKey","required":false,"type":"string","description":"API Key to authorize with API Gateway"}]}},"/swagger":{}},"definitions":{"Branch":{"type":"object","title":"Bank Branch","properties":{"_id":{"type":"string","description":"Internal FintechBlocks Bank Branch ID","example":"fd54ce8c-54d8-455a-b4de-8b309f8ce869"},"branch_id":{"type":"string","description":"Branch ID as defined by bank branches DB","example":"MKBBRID123"},"name":{"type":"string","description":"Branch name","example":"Kékbereki fiók"},"address":{"type":"object","title":"Address","properties":{"country_code":{"type":"string","description":"Country code of address (2 digits)","example":"HU"},"city":{"type":"string","description":"City name of address","example":"Kékberek"},"street":{"type":"string","description":"Street address","example":"Fő tér 3."},"details":{"type":"string","description":"Additional details of address e.g. PO Box or Attn.","example":"Pf 1234."}}},"location":{"type":"object","title":"GPS Location","properties":{"latitude":{"type":"string","description":"GPS latitude of branch","example":"46.253486"},"longitude":{"type":"string","description":"GPS longitude of branch","example":"20.152858"}}},"opening_hours":{"type":"object","title":"Opening Hours","description":"Dictionary of weekdays and their respective opening hours","example":{"monday":"8:00-16:00","tuesday":"8:00-16:00","wednesday":"8:00-16:00","thursday":"8:00-16:00","friday":"8:00-16:00"}}}},"ATM":{"type":"object","title":"ATM","properties":{"_id":{"type":"string","description":"Internal FintechBlocks Bank ATM ID","example":"fc2b1a23-6f65-4fef-9704-965758020691"},"atm_id":{"type":"string","description":"ATM ID as defined by bank ATM DB","example":"MKBATMID123"},"description":{"type":"string","description":"Description of ATM","example":"Liget sori ATM"},"location":{"type":"object","title":"GPS Location","properties":{"latitude":{"type":"string","description":"GPS latitude of ATM","example":"46.248246"},"longitude":{"type":"string","description":"GPS longitude of ATM","example":"20.148529"}}}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","example":"Object not found in collection"}}}}}